body {
  font-family: Georgia, 'Times New Roman', Times, serif !important;
}
.hero {

  height: 70vh; 
  display: flex; 
  align-items: center; 
  justify-content: center; 
  text-align: center; 
  color: white; 
  position: relative;
}
.hero-demo {
  height: 50vh; 
  display: flex; 
  align-items: center; 
  justify-content: center; 
  text-align: center; 
  color: white; 
  position: relative;
}
.hero::before{
  content: "";
  position: absolute;
  top: 0; left: 0;
  width: 100%; height: 100%;
  background: rgba(0, 0, 0, 0.2);
}

.hero-demo::before{
  content: "";
  position: absolute;
  top: 0; left: 0;
  width: 100%; height: 100%;
  background: rgba(0, 0, 0, 0.4);
}

.hero .container, .hero-demo .container {
  position: relative;
  z-index: 2;
}
.hero h1, .hero-demo h1 { font-size: 2rem; font-weight: bold; }
.hero p, .hero-demo p { font-size: 1.2rem; }
.section { 
  padding: 60px 20px; 
  text-align: center; 
}


[data-bs-theme="dark"] .bg-gray {
  background-color: #495057;

}

/* Štýly pre light mód */
[data-bs-theme="light"] .bg-gray { 
  background-color: #ededed;

}

.map-holder {
  height: 500px;
  border: 1px solid #999;
  border-radius: 5px;
}
.navbar {
  box-shadow: 0 0.5rem 1rem rgba(0,0,0,0.15), inset 0 -1px 0 rgba(255,255,255,0.15);
}
.game-headline {
  font-family: 'Great Vibes', cursive !important;
  font-weight: bold;
}
.headline-1 {
  font-size: 40px;
}
.headline-2 {
  font-size: 30px;
}
.game-text {
 
  /* font-family: 'Great Vibes', cursive !important;*/
  font-style: italic;
  font-size: 20px; 
}

.lang-menu {
  min-width: auto !important;
  
  width: 80px;
  text-align: center;
}

[data-bs-theme="light"] .navbar-brand {
  color: #333;
}
[data-bs-theme="light"] .navbar-brand:hover {
  color: #000;
}

[data-bs-theme="dark"] .navbar-brand {
  color: #dee2e6;
}
[data-bs-theme="dark"] .navbar-brand:hover {
  color: #fff;
}

[data-bs-theme="light"] .btn-theme {
  color: #000;
  border-color: #000;
}
[data-bs-theme="light"] .btn-theme:hover {
  color: #fff;
  border-color: #fff;
  background-color: #000;
}

[data-bs-theme="dark"] .btn-theme {
  color: #fff;
  border-color: #fff;
}
[data-bs-theme="dark"] .btn-theme:hover {
  color: #000;
  border-color: #000;
  background-color: #fff;
}

/* btn-theme-dark */

[data-bs-theme="light"] .btn-theme-dark {
  color: #fff;
  background-color: #000;
  border-color: #000;
}
[data-bs-theme="light"] .btn-theme-dark:hover {
  color: #000;
  background-color: #fff;
  border-color: #000;
}

[data-bs-theme="dark"] .btn-theme-dark {
  color: #000;
  border-color: #fff;
  background-color: #fff;
}
[data-bs-theme="dark"] .btn-theme-dark:hover {
  color: #000;
  border-color: #000;
  background-color: #fff;
}


.cookie-banner{
  display: none;
  position: fixed;
  bottom: 20px;
  left: 20px;
  right: 20px;
  background: rgba(0, 0, 0, 0.8);
  color: white;
  padding: 15px;
  text-align: center;
  z-index: 1000;
  border-radius: 5px;
}
.cookie-banner-btn {         
  margin-left: 10px;
  padding: 5px 15px;
  background: #ffd700;
  border: none;
  color: black;
  cursor: pointer;
} 

.lang-flag {
  border-radius: 3px;
  width: 21px;
  height: 15px;
}

.form-signin, .form-registration {
  max-width: 500px;
  min-height: 500px;
  padding: 1rem;
  display: flex;
  flex-direction: column;
  justify-content: center;
}
.signin-description {
  max-width: 500px;
}
.form-signin .form-floating:focus-within, .form-registration .form-floating:focus-within{
  z-index: 2;
}
.form-signin input[type="email"] {

  border-bottom-right-radius: 0;
  border-bottom-left-radius: 0;
}
.form-registration input[type="text"] {

  border-bottom-right-radius: 0;
  border-bottom-left-radius: 0;
}
.form-registration input[type="email"] {
  border-top-left-radius: 0;
  border-top-right-radius: 0;
}

.form-signin input[type="password"] {

  border-top-left-radius: 0;
  border-top-right-radius: 0;
}
.form-control:focus {
  border-color: inherit;
  -webkit-box-shadow: none;
  box-shadow: none;
}

.hover-shadow:hover{
  box-shadow:  0 0.125rem 0.25rem rgba(0, 0, 0, 0.075);
}

.quiz-img {
  width: 100%;
  height: auto;
  max-width: 250px;
  padding-bottom: 2rem;
}

html[data-bs-theme="light"] .img-light { display: inline-block; }
html[data-bs-theme="light"] .img-dark  { display: none; }

html[data-bs-theme="dark"]  .img-light { display: none; }
html[data-bs-theme="dark"]  .img-dark  { display: inline-block; }